xcb_present_generic_event_t(3)

NAME
xcb_present_generic_event_t -

SYNOPSIS
#include <xcb/present.h>

  Event datastructure

typedef struct xcb_present_generic_event_t {
    uint8_t             response_type;
    uint8_t             extension;
    uint16_t            sequence;
    uint32_t            length;
    uint16_t            evtype;
    uint8_t             pad0[2];
    xcb_present_event_t event;
} xcb_present_generic_event_t;

EVENT FIELDS

response_type
    The type of this event, in this case XCB_PRESENT_GENERIC. This field is also present in the xcb_generic_event_t and can be used to tell events apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

extension
    NOT YET DOCUMENTED.

length
    NOT YET DOCUMENTED.

evtype
    NOT YET DOCUMENTED.

event
    NOT YET DOCUMENTED.

DESCRIPTION

SEE ALSO

AUTHOR
Generated from present.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.